ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 958 by gezelter, Wed May 17 03:03:03 2006 UTC vs.
Revision 1137 by chuckv, Tue May 29 22:50:14 2007 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 886 | Line 888 | Optional Packages:
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889                            to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
889  --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
892   Some influential environment variables:
893    CXX         C++ compiler command
# Line 1622 | Line 1623 | fi
1623  
1624    msg="$msg, debug mode"
1625   fi
1626 +
1627 +
1628 + # Check whether --enable-single or --disable-single was given.
1629 + if test "${enable_single+set}" = set; then
1630 +  enableval="$enable_single"
1631 +  ok=$enableval
1632 + else
1633 +  ok=no
1634 + fi;
1635 + # Check whether --enable-float or --disable-float was given.
1636 + if test "${enable_float+set}" = set; then
1637 +  enableval="$enable_float"
1638 +  ok=$enableval
1639 + fi;
1640 + if test "$ok" = "yes"; then
1641 +
1642 + cat >>confdefs.h <<\_ACEOF
1643 + #define SINGLE_PRECISION 1
1644 + _ACEOF
1645 +
1646 +        USE_SINGLE_PRECISION=yes
1647  
1648 + fi
1649  
1650   # Checks for programs.
1651   ac_ext=cc
# Line 1631 | Line 1654 | if test -n "$ac_tool_prefix"; then
1654   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1655   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1656   if test -n "$ac_tool_prefix"; then
1657 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1657 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1658    do
1659      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1660   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1673 | Line 1696 | if test -z "$CXX"; then
1696   fi
1697   if test -z "$CXX"; then
1698    ac_ct_CXX=$CXX
1699 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1699 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1700   do
1701    # Extract the first word of "$ac_prog", so it can be a program name with args.
1702   set dummy $ac_prog; ac_word=$2
# Line 2187 | Line 2210 | if test -n "$ac_tool_prefix"; then
2210   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2211   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2212   if test -n "$ac_tool_prefix"; then
2213 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2213 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2214    do
2215      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2216   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2229 | Line 2252 | if test -z "$CC"; then
2252   fi
2253   if test -z "$CC"; then
2254    ac_ct_CC=$CC
2255 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2255 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2256   do
2257    # Extract the first word of "$ac_prog", so it can be a program name with args.
2258   set dummy $ac_prog; ac_word=$2
# Line 2698 | Line 2721 | if test -n "$ac_tool_prefix"; then
2721   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2722   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2723   if test -n "$ac_tool_prefix"; then
2724 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2724 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725    do
2726      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2727   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2740 | Line 2763 | if test -z "$FC"; then
2763   fi
2764   if test -z "$FC"; then
2765    ac_ct_FC=$FC
2766 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2766 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767   do
2768    # Extract the first word of "$ac_prog", so it can be a program name with args.
2769   set dummy $ac_prog; ac_word=$2
# Line 2785 | Line 2808 | fi
2808  
2809  
2810   # Provide some information about the compiler.
2811 < echo "$as_me:2788:" \
2811 > echo "$as_me:2811:" \
2812       "checking for Fortran compiler version" >&5
2813   ac_compiler=`set X $ac_compile; echo $2`
2814   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4033 | Line 4056 | FCFLAGS="$FCFLAGS $ac_verb"
4056   # flags.
4057   ac_save_FFLAGS=$FCFLAGS
4058   FCFLAGS="$FCFLAGS $ac_verb"
4059 < (eval echo $as_me:4036: \"$ac_link\") >&5
4059 > (eval echo $as_me:4059: \"$ac_link\") >&5
4060   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4061   echo "$ac_fc_v_output" >&5
4062   FCFLAGS=$ac_save_FFLAGS
# Line 4111 | Line 4134 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4134   # flags.
4135   ac_save_FFLAGS=$FCFLAGS
4136   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4137 < (eval echo $as_me:4114: \"$ac_link\") >&5
4137 > (eval echo $as_me:4137: \"$ac_link\") >&5
4138   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4139   echo "$ac_fc_v_output" >&5
4140   FCFLAGS=$ac_save_FFLAGS
# Line 4847 | Line 4870 | FCFLAGS="$FCFLAGS $ac_verb"
4870   # flags.
4871   ac_save_FFLAGS=$FCFLAGS
4872   FCFLAGS="$FCFLAGS $ac_verb"
4873 < (eval echo $as_me:4850: \"$ac_link\") >&5
4873 > (eval echo $as_me:4873: \"$ac_link\") >&5
4874   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4875   echo "$ac_fc_v_output" >&5
4876   FCFLAGS=$ac_save_FFLAGS
# Line 4925 | Line 4948 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4948   # flags.
4949   ac_save_FFLAGS=$FCFLAGS
4950   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4951 < (eval echo $as_me:4928: \"$ac_link\") >&5
4951 > (eval echo $as_me:4951: \"$ac_link\") >&5
4952   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4953   echo "$ac_fc_v_output" >&5
4954   FCFLAGS=$ac_save_FFLAGS
# Line 6124 | Line 6147 | else
6147    withval="$with_fftw"
6148    fftw_dir="$withval"
6149   else
6150 <                fftw_dir="not_set"
6150 >             fftw_dir="not_set"
6151   fi;
6152   if test "$fftw_dir" != "no"; then
6153 <
6154 < if test "$fftw_dir" != "not_set" ; then
6155 <  if test -d "$fftw_dir"
6156 <  then
6157 <    FFTW_HOME="$fftw_dir"
6135 <  else
6136 <    { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6153 >  if test "$fftw_dir" != "not_set" ; then
6154 >    if test -d "$fftw_dir"; then
6155 >      FFTW_HOME="$fftw_dir"
6156 >    else
6157 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6158   echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6159 <  fi
6160 < fi
6140 <
6141 < FFTW_HOME=/usr/local
6142 < if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"
6143 < then
6159 >      FFTW_HOME=/usr/local
6160 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6161          FFTW_HOME=/usr
6162 < fi
6162 >      fi
6163 >    fi
6164 >    #
6165 >    # Locate fftw, if wanted
6166 >    #
6167 >    if test -n "${FFTW_HOME}"; then
6168 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6169 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6170 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6171 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6172  
6147 #
6148 # Locate fftw, if wanted
6149 #
6150 if test -n "${FFTW_HOME}"
6151 then
6152        FFTW_OLD_LDFLAGS=$LDFLAGS
6153        FFTW_OLD_CPPFLAGS=$LDFLAGS
6154        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6155        CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6173  
6174 <
6158 <        ac_ext=c
6174 >      ac_ext=c
6175   ac_cpp='$CPP $CPPFLAGS'
6176   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6177   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6178   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6179  
6180 <        echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6180 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6181   echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6182   if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6183    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6239 | Line 6255 | fi
6255    fftw_cv_libfftw3=no
6256   fi
6257  
6258 <        if test "${ac_cv_header_fftw3_h+set}" = set; then
6258 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6259    echo "$as_me:$LINENO: checking for fftw3.h" >&5
6260   echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6261   if test "${ac_cv_header_fftw3_h+set}" = set; then
# Line 6383 | Line 6399 | fi
6399   fi
6400  
6401  
6402 <        if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"
6403 <        then
6388 <                echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6402 >      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6403 >        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6404   echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6405   if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6406    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6463 | Line 6478 | fi
6478    fftw_cv_libfftw=no
6479   fi
6480  
6481 <                if test "${ac_cv_header_fftw_h+set}" = set; then
6481 >        if test "${ac_cv_header_fftw_h+set}" = set; then
6482    echo "$as_me:$LINENO: checking for fftw.h" >&5
6483   echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6484   if test "${ac_cv_header_fftw_h+set}" = set; then
# Line 6607 | Line 6622 | fi
6622   fi
6623  
6624  
6625 <                if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"
6626 <                then
6612 <                        echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6625 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6626 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6627   echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6628   if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6629    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 6687 | Line 6701 | fi
6701    fftw_cv_libdfftw=no
6702   fi
6703  
6704 <                        if test "${ac_cv_header_dfftw_h+set}" = set; then
6704 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6705    echo "$as_me:$LINENO: checking for dfftw.h" >&5
6706   echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6707   if test "${ac_cv_header_dfftw_h+set}" = set; then
# Line 6831 | Line 6845 | fi
6845   fi
6846  
6847  
6834                fi
6848          fi
6849 <        ac_ext=c
6849 >      fi
6850 >      ac_ext=c
6851   ac_cpp='$CPP $CPPFLAGS'
6852   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6853   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6854   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6855  
6856 <
6843 <        if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"
6844 <        then
6856 >      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6857  
6858   cat >>confdefs.h <<\_ACEOF
6859   #define HAVE_FFTW3_H 1
6860   _ACEOF
6861  
6862 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6863 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 <                FFTW_LIBS="-lfftw3"
6865 <        else
6866 <        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"
6855 <        then
6862 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6863 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 >        FFTW_LIBS="-lfftw3"
6865 >      else
6866 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6867  
6868   cat >>confdefs.h <<\_ACEOF
6869   #define HAVE_FFTW_H 1
6870   _ACEOF
6871  
6872 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6873 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 <                FFTW_LIBS="-lfftw"
6872 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6873 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 >          FFTW_LIBS="-lfftw"
6875          else
6876 <        if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"
6866 <        then
6876 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6877  
6878   cat >>confdefs.h <<\_ACEOF
6879   #define HAVE_DFFTW_H 1
6880   _ACEOF
6881  
6882 <                FFTW_INC_DIR="${FFTW_HOME}/include"
6883 <                FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 <                FFTW_LIBS="-ldfftw"
6885 <        else
6886 <                echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6882 >            FFTW_INC_DIR="${FFTW_HOME}/include"
6883 >            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 >            FFTW_LIBS="-ldfftw"
6885 >          else
6886 >            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6887   echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6888 <                FFTW_INC_DIR=
6889 <                FFTW_LIB_DIR=
6890 <                FFTW_LIBS=
6891 <                LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 <                CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 <                echo "$as_me:$LINENO: result: failed" >&5
6888 >            FFTW_INC_DIR=
6889 >            FFTW_LIB_DIR=
6890 >            FFTW_LIBS=
6891 >            LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 >            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 >            echo "$as_me:$LINENO: result: failed" >&5
6894   echo "${ECHO_T}failed" >&6
6895 <        echo ""
6896 <        echo "*********************************************************"
6897 <        echo "* WARNING: Could not find a working FFTW installation   *"
6898 <        echo "* If you need the staticProps program to be able to     *"
6899 <        echo "* compute undulation spectra, be sure to specify a      *"
6900 <        echo "* valid fftw installation with --with-fftw=DIR          *"
6901 <        echo "*                                                       *"
6902 <        echo "* OOPSE will still work without fftw installed.         *"
6903 <        echo "*********************************************************"
6904 <        echo ""
6895 >            echo ""
6896 >            echo "*********************************************************"
6897 >            echo "* WARNING: Could not find a working FFTW installation   *"
6898 >            echo "* If you need the staticProps program to be able to     *"
6899 >            echo "* compute undulation spectra, be sure to specify a      *"
6900 >            echo "* valid fftw installation with --with-fftw=DIR          *"
6901 >            echo "*                                                       *"
6902 >            echo "* OOPSE will still work without fftw installed.         *"
6903 >            echo "*********************************************************"
6904 >            echo ""
6905 >          fi
6906          fi
6907 <        fi
6897 <        fi
6907 >      fi
6908  
6909  
6910  
6911 < fi
6911 >    fi
6912 >  fi
6913   fi
6914  
6915  
# Line 11917 | Line 11928 | if test "$ac_test_FFLAGS" != "set"; then
11928    case "${host_cpu}-${host_os}" in
11929  
11930    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11931 <                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
11931 >                    FCFLAGS="-O3 -ip -no-prec-div"
11932                  fi;;
11933     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11934                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 12975 | Line 12986 | MPI_INC_DIR="$MPI/include"
12986  
12987  
12988  
12989 + ac_ext=c
12990 + ac_cpp='$CPP $CPPFLAGS'
12991 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12992 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12993 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12994 +
12995   echo "$as_me:$LINENO: checking for mpi.h" >&5
12996   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12997   have_mpi_h=0
12998   rm -f conftest*
12999 < echo '#include <mpi.h>' > conftest.cc
13000 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
12999 > echo '#include <mpi.h>' > conftest.c
13000 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13001          echo "$as_me:$LINENO: result: yes" >&5
13002   echo "${ECHO_T}yes" >&6
13003          have_mpi_h=1
# Line 13003 | Line 13020 | echo $ECHO_N "checking whether mpif.h is usable... $EC
13020  
13021   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13022   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13023 +
13024 +
13025 + ac_ext=${FC_SRCEXT-f}
13026 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13027 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13028 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13029 +
13030 + ac_save_ext=$ac_ext
13031 + ac_ext=F90
13032 + ac_save_FCFLAGS=$FCFLAGS
13033   have_mpif_h=0
13034   rm -f conftest*
13035   cat >conftest.$ac_ext <<EOF
# Line 13032 | Line 13059 | fi
13059   _ACEOF
13060  
13061   fi
13062 + FCFLAGS=$ac_save_FCFLAGS
13063 + ac_ext=$ac_save_ext
13064 + ac_ext=c
13065 + ac_cpp='$CPP $CPPFLAGS'
13066 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13067 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13068 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
13069  
13070 +
13071   ac_ext=c
13072   ac_cpp='$CPP $CPPFLAGS'
13073   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 13040 | Line 13075 | ac_save_LDFLAGS=$LDFLAGS
13075   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13076  
13077   ac_save_LDFLAGS=$LDFLAGS
13078 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13078 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13079  
13080   if test x = x"$MPI_LIB"; then
13081          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 13120 | Line 13155 | fi
13155   fi
13156  
13157   fi
13158 + $as_unset ac_cv_lib_mpich_MPI_Init
13159   if test x = x"$MPI_LIB"; then
13160 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13161 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13162 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13160 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13161 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13162 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13163    echo $ECHO_N "(cached) $ECHO_C" >&6
13164   else
13165    ac_check_lib_save_LIBS=$LIBS
13166 < LIBS="-lmpi  $LIBS"
13166 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13167   cat >conftest.$ac_ext <<_ACEOF
13168   /* confdefs.h.  */
13169   _ACEOF
# Line 13180 | Line 13216 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13216    ac_status=$?
13217    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13218    (exit $ac_status); }; }; then
13219 <  ac_cv_lib_mpi_MPI_Init=yes
13219 >  ac_cv_lib_pmpich_MPI_Init=yes
13220   else
13221    echo "$as_me: failed program was:" >&5
13222   sed 's/^/| /' conftest.$ac_ext >&5
13223  
13224 < ac_cv_lib_mpi_MPI_Init=no
13224 > ac_cv_lib_pmpich_MPI_Init=no
13225   fi
13226   rm -f conftest.err conftest.$ac_objext \
13227        conftest$ac_exeext conftest.$ac_ext
13228   LIBS=$ac_check_lib_save_LIBS
13229   fi
13230 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13231 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13232 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13233 <  MPI_LIB="-lmpi"
13230 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13231 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13232 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13233 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13234   fi
13235  
13236   fi
13201 $as_unset ac_cv_lib_mpi_MPI_Init
13237   if test x = x"$MPI_LIB"; then
13238          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13239   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 13206 | Line 13241 | else
13241    echo $ECHO_N "(cached) $ECHO_C" >&6
13242   else
13243    ac_check_lib_save_LIBS=$LIBS
13244 < LIBS="-lmpi "-llam" $LIBS"
13244 > LIBS="-lmpi  $LIBS"
13245   cat >conftest.$ac_ext <<_ACEOF
13246   /* confdefs.h.  */
13247   _ACEOF
# Line 13273 | Line 13308 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13308   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13309   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13310   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13311 <  MPI_LIB="-lmpi -llam"
13311 >  MPI_LIB="-lmpi"
13312   fi
13313  
13314   fi
13315 < $as_unset ac_cv_lib_mpich_MPI_Init
13315 > $as_unset ac_cv_lib_mpi_MPI_Init
13316   if test x = x"$MPI_LIB"; then
13317 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13318 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13319 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13317 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13318 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13319 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13320    echo $ECHO_N "(cached) $ECHO_C" >&6
13321   else
13322    ac_check_lib_save_LIBS=$LIBS
13323 < LIBS="-lmpich "-lpmpich" $LIBS"
13323 > LIBS="-lmpi -llam $LIBS"
13324   cat >conftest.$ac_ext <<_ACEOF
13325   /* confdefs.h.  */
13326   _ACEOF
# Line 13338 | Line 13373 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13373    ac_status=$?
13374    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13375    (exit $ac_status); }; }; then
13376 <  ac_cv_lib_mpich_MPI_Init=yes
13376 >  ac_cv_lib_mpi_MPI_Init=yes
13377   else
13378    echo "$as_me: failed program was:" >&5
13379   sed 's/^/| /' conftest.$ac_ext >&5
13380  
13381 < ac_cv_lib_mpich_MPI_Init=no
13381 > ac_cv_lib_mpi_MPI_Init=no
13382   fi
13383   rm -f conftest.err conftest.$ac_objext \
13384        conftest$ac_exeext conftest.$ac_ext
13385   LIBS=$ac_check_lib_save_LIBS
13386   fi
13387 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13388 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13389 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13390 <  MPI_LIB="-lpmpich -lmpich"
13387 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13388 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13389 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13390 >  MPI_LIB="-lmpi -llam"
13391   fi
13392  
13393   fi
13359
13394   $as_unset ac_cv_lib_mpi_MPI_Init
13395   if test x = x"$MPI_LIB"; then
13396   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 13461 | Line 13495 | fi
13495  
13496  
13497   fi
13464
13465
13466
13467 USE_CGAL=no
13468 cgal_makefile=auto
13469
13470 # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
13471 if test "${with_cgal_makefile+set}" = set; then
13472  withval="$with_cgal_makefile"
13473  cgal_makefile="$withval"
13474 fi;
13498  
13476 if test "x$cgal_makefile" != xno; then
13499  
13478  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
13479    cgal_makefile="$CGAL_MAKEFILE"
13480  fi
13500  
13482  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
13483 echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
13501  
13485  if test -f "$cgal_makefile"; then
13486
13487    cat >config.tmp.Makefile <<EOF
13488 include $cgal_makefile
13489 default:
13490        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
13491        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
13492        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
13493        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13494        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
13495        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
13496        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
13497        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13498        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
13499        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
13500        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13501        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
13502 EOF
13503
13504    make -s -f config.tmp.Makefile
13505    . config.tmp.cgalvariables
13506
13507    rm -f config.tmp.Makefile config.tmp.cgalvariables
13508
13509    if test "x$CGAL_INCLDIR" = "x"; then
13510      CGAL_INCLDIR=""
13511    fi
13512
13513    if test "x$CGAL_LIBDIR" = "x"; then
13514      CGAL_LIBDIR=""
13515    fi
13516
13517    if test "x$CGAL_RLIBDIR" = "x"; then
13518      CGAL_RLIBDIR=""
13519    fi
13520
13521    if test "x$LEDA_INCLDIR" = "x"; then
13522      LEDA_INCLDIR=""
13523    fi
13524
13525    if test "x$LEDA_LIBDIR" = "x"; then
13526      LEDA_LIBDIR=""
13527    fi
13528
13529    if test "x$LEDA_RLIBDIR" = "x"; then
13530      LEDA_RLIBDIR=""
13531    fi
13532
13533    if test "x$GMP_INCLDIR" = "x"; then
13534      GMP_INCLDIR=""
13535    fi
13536
13537    if test "x$GMP_LIBDIR" = "x"; then
13538      GMP_LIBDIR=""
13539    fi
13540
13541    if test "x$GMP_RLIBDIR" = "x"; then
13542      GMP_RLIBDIR=""
13543    fi
13544
13545    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
13546 echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
13547    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
13548 echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
13549    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
13550 echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
13551    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
13552 echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
13553    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
13554 echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
13555    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
13556 echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
13557    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
13558 echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
13559    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
13560 echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
13561    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
13562 echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
13563
13564    ac_ext=cc
13565 ac_cpp='$CXXCPP $CPPFLAGS'
13566 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13567 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13568 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13569
13570    save_CXXFLAGS="$CXXFLAGS"
13571    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13572    if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13573  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13574 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13575 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13576  echo $ECHO_N "(cached) $ECHO_C" >&6
13577 fi
13578 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13579 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13580 else
13581  # Is the header compilable?
13582 echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
13583 echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
13584 cat >conftest.$ac_ext <<_ACEOF
13585 /* confdefs.h.  */
13586 _ACEOF
13587 cat confdefs.h >>conftest.$ac_ext
13588 cat >>conftest.$ac_ext <<_ACEOF
13589 /* end confdefs.h.  */
13590 $ac_includes_default
13591 #include <CGAL/Cartesian.h>
13592 _ACEOF
13593 rm -f conftest.$ac_objext
13594 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13595  (eval $ac_compile) 2>conftest.er1
13596  ac_status=$?
13597  grep -v '^ *+' conftest.er1 >conftest.err
13598  rm -f conftest.er1
13599  cat conftest.err >&5
13600  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13601  (exit $ac_status); } &&
13602         { ac_try='test -z "$ac_cxx_werror_flag"
13603                         || test ! -s conftest.err'
13604  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13605  (eval $ac_try) 2>&5
13606  ac_status=$?
13607  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13608  (exit $ac_status); }; } &&
13609         { ac_try='test -s conftest.$ac_objext'
13610  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13611  (eval $ac_try) 2>&5
13612  ac_status=$?
13613  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13614  (exit $ac_status); }; }; then
13615  ac_header_compiler=yes
13616 else
13617  echo "$as_me: failed program was:" >&5
13618 sed 's/^/| /' conftest.$ac_ext >&5
13619
13620 ac_header_compiler=no
13621 fi
13622 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13623 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
13624 echo "${ECHO_T}$ac_header_compiler" >&6
13625
13626 # Is the header present?
13627 echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
13628 echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
13629 cat >conftest.$ac_ext <<_ACEOF
13630 /* confdefs.h.  */
13631 _ACEOF
13632 cat confdefs.h >>conftest.$ac_ext
13633 cat >>conftest.$ac_ext <<_ACEOF
13634 /* end confdefs.h.  */
13635 #include <CGAL/Cartesian.h>
13636 _ACEOF
13637 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
13638  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
13639  ac_status=$?
13640  grep -v '^ *+' conftest.er1 >conftest.err
13641  rm -f conftest.er1
13642  cat conftest.err >&5
13643  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13644  (exit $ac_status); } >/dev/null; then
13645  if test -s conftest.err; then
13646    ac_cpp_err=$ac_cxx_preproc_warn_flag
13647    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
13648  else
13649    ac_cpp_err=
13650  fi
13651 else
13652  ac_cpp_err=yes
13653 fi
13654 if test -z "$ac_cpp_err"; then
13655  ac_header_preproc=yes
13656 else
13657  echo "$as_me: failed program was:" >&5
13658 sed 's/^/| /' conftest.$ac_ext >&5
13659
13660  ac_header_preproc=no
13661 fi
13662 rm -f conftest.err conftest.$ac_ext
13663 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
13664 echo "${ECHO_T}$ac_header_preproc" >&6
13665
13666 # So?  What about this header?
13667 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
13668  yes:no: )
13669    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
13670 echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
13671    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
13672 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
13673    ac_header_preproc=yes
13674    ;;
13675  no:yes:* )
13676    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
13677 echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
13678    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
13679 echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
13680    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
13681 echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
13682    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
13683 echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
13684    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
13685 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
13686    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
13687 echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
13688    (
13689      cat <<\_ASBOX
13690 ## ------------------------------ ##
13691 ## Report this to gezelter@nd.edu ##
13692 ## ------------------------------ ##
13693 _ASBOX
13694    ) |
13695      sed "s/^/$as_me: WARNING:     /" >&2
13696    ;;
13697 esac
13698 echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
13699 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
13700 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
13701  echo $ECHO_N "(cached) $ECHO_C" >&6
13702 else
13703  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
13704 fi
13705 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
13706 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
13707
13708 fi
13709 if test $ac_cv_header_CGAL_Cartesian_h = yes; then
13710  cgal=yes
13711 else
13712  cgal=no
13713 fi
13714
13715
13716    CXXFLAGS="$save_CXXFLAGS"
13717
13718    if test "x$cgal" = xyes; then
13719      echo "$as_me:$LINENO: checking for CGAL version" >&5
13720 echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
13721      LOCATION=${CGAL_INCLDIR}
13722      LOCATION=${LOCATION:-/usr/include}
13723      if test -f $LOCATION/CGAL/version.h; then
13724        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
13725      else
13726        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
13727      fi
13728      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
13729        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
13730 echo "${ECHO_T}($CGAL_VERSION) yes" >&6
13731      else
13732        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
13733 echo "${ECHO_T}($CGAL_VERSION) no" >&6
13734        cgal=no
13735      fi
13736    fi
13737
13738    if test "x$cgal" = xyes; then
13739      CGAL_LIBS="-lCGAL"
13740      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
13741 echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
13742      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
13743        CGAL_USES_LEDA=yes
13744        echo "$as_me:$LINENO: result: yes" >&5
13745 echo "${ECHO_T}yes" >&6
13746        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
13747      else
13748        echo "$as_me:$LINENO: result: no" >&5
13749 echo "${ECHO_T}no" >&6
13750        CGAL_USES_LEDA=no
13751      fi
13752
13753      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
13754 echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
13755      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
13756        CGAL_USES_GMP=yes
13757        echo "$as_me:$LINENO: result: yes" >&5
13758 echo "${ECHO_T}yes" >&6
13759        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
13760      else
13761        echo "$as_me:$LINENO: result: no" >&5
13762 echo "${ECHO_T}no" >&6
13763        CGAL_USES_GMP=no
13764      fi
13765
13766      CGAL_LIBS="$CGAL_LIBS -lm"
13767
13768      CGAL_CXXFLAGS="-ftemplate-depth-50"
13769
13770      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
13771 echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
13772      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
13773 echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
13774      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
13775 echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
13776      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
13777 echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
13778      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
13779 echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
13780      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
13781 echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
13782      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
13783 echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
13784    fi
13785
13786    if test "x$cgal" = xyes; then
13787      save_LIBS="$LIBS"
13788      LIBS="$LIBS -L$CGAL_LIBDIR"
13789      if test "x$CGAL_USES_LEDA" = xyes; then
13790        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
13791      fi
13792      # if test "x$CGAL_USES_GMP" = xyes; then
13793      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
13794      # fi
13795      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
13796 echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
13797 save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
13798 CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13799 save_LIBS_CHECK_CXX_LIB="$LIBS"
13800 LIBS="-lCGAL  $LIBS"
13801 cat >conftest.$ac_ext <<_ACEOF
13802 /* confdefs.h.  */
13803 _ACEOF
13804 cat confdefs.h >>conftest.$ac_ext
13805 cat >>conftest.$ac_ext <<_ACEOF
13806 /* end confdefs.h.  */
13807 #include <CGAL/Cartesian.h>
13808 #ifdef FC_DUMMY_MAIN
13809 #ifndef FC_DUMMY_MAIN_EQ_F77
13810 #  ifdef __cplusplus
13811     extern "C"
13812 #  endif
13813   int FC_DUMMY_MAIN() { return 1; }
13814 #endif
13815 #endif
13816 int
13817 main ()
13818 {
13819 ::CGAL::Cartesian<int>::Point_2 P
13820  ;
13821  return 0;
13822 }
13823 _ACEOF
13824 rm -f conftest.$ac_objext conftest$ac_exeext
13825 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13826  (eval $ac_link) 2>conftest.er1
13827  ac_status=$?
13828  grep -v '^ *+' conftest.er1 >conftest.err
13829  rm -f conftest.er1
13830  cat conftest.err >&5
13831  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13832  (exit $ac_status); } &&
13833         { ac_try='test -z "$ac_cxx_werror_flag"
13834                         || test ! -s conftest.err'
13835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13836  (eval $ac_try) 2>&5
13837  ac_status=$?
13838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13839  (exit $ac_status); }; } &&
13840         { ac_try='test -s conftest$ac_exeext'
13841  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13842  (eval $ac_try) 2>&5
13843  ac_status=$?
13844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13845  (exit $ac_status); }; }; then
13846  echo "$as_me:$LINENO: result: yes" >&5
13847 echo "${ECHO_T}yes" >&6
13848 cgal=yes
13849 else
13850  echo "$as_me: failed program was:" >&5
13851 sed 's/^/| /' conftest.$ac_ext >&5
13852
13853 echo "$as_me:$LINENO: result: no" >&5
13854 echo "${ECHO_T}no" >&6
13855 cgal=no
13856 fi
13857 rm -f conftest.err conftest.$ac_objext \
13858      conftest$ac_exeext conftest.$ac_ext
13859 CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
13860 LIBS="$save_LIBS_CHECK_CXX_LIB"
13861      LIBS="$save_LIBS"
13862    fi
13863
13864  fi
13865  ac_ext=c
13866 ac_cpp='$CPP $CPPFLAGS'
13867 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13868 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13869 ac_compiler_gnu=$ac_cv_c_compiler_gnu
13870
13871
13872 fi
13873
13874 if test "x$cgal" = xyes; then
13875  USE_CGAL=yes
13876
13877 cat >>confdefs.h <<\_ACEOF
13878 #define HAVE_CGAL 1
13879 _ACEOF
13880
13881
13882 cat >>confdefs.h <<_ACEOF
13883 #define CGAL_VERSION $CGAL_VERSION
13884 _ACEOF
13885
13886  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
13887    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13888 echo "$as_me: WARNING: *****************************************************" >&2;}
13889    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
13890 echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
13891    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
13892 echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
13893    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13894 echo "$as_me: WARNING: *****************************************************" >&2;}
13895  fi
13896 else
13897   if test "x$cgal_makefile" != xno; then
13898    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
13899 echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
13900  fi
13901  CGAL_INCLDIR=
13902  CGAL_LIBDIR=
13903  CGAL_RLIBDIR=
13904  CGAL_DEFINES=
13905  CGAL_CXXFLAGS=
13906  CGAL_LIBS=
13907 fi
13908
13909
13910 CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
13911
13912 CGAL_LIB_DIR=${CGAL_LIBDIR}
13913
13914 CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13915
13916
13917
13918
13919
13920
13502   # Check whether --enable-doxygen or --disable-doxygen was given.
13503   if test "${enable_doxygen+set}" = set; then
13504    enableval="$enable_doxygen"
# Line 14071 | Line 13652 | fi
13652  
13653  
13654  
13655 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13655 >                                                  ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/math/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13656  
13657  
13658   cat >confcache <<\_ACEOF
# Line 14604 | Line 14185 | do
14185    # Handling of arguments.
14186    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14187    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14188 +  "src/math/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/math/Makefile" ;;
14189    "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14190    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14191    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
# Line 14703 | Line 14285 | s,@debug@,$debug,;t t
14285   s,@host_os@,$host_os,;t t
14286   s,@PROGNAME@,$PROGNAME,;t t
14287   s,@debug@,$debug,;t t
14288 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14289   s,@CXX@,$CXX,;t t
14290   s,@CXXFLAGS@,$CXXFLAGS,;t t
14291   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 14756 | Line 14339 | s,@USE_MPI@,$USE_MPI,;t t
14339   s,@MPI_LIB@,$MPI_LIB,;t t
14340   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
14341   s,@USE_MPI@,$USE_MPI,;t t
14759 s,@USE_CGAL@,$USE_CGAL,;t t
14760 s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
14761 s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
14762 s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
14763 s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
14764 s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
14765 s,@CGAL_LIBS@,$CGAL_LIBS,;t t
14342   s,@DOXYGEN@,$DOXYGEN,;t t
14343   s,@DOT@,$DOT,;t t
14344   s,@DOC@,$DOC,;t t
# Line 15015 | Line 14591 | s,@INSTALL@,$ac_INSTALL,;t t
14591    case $ac_file in
14592      make/Makefile ) chmod 0755 scripts/* ;;
14593      src/utils/Makefile ) chmod 0755 scripts/* ;;
14594 +    src/math/Makefile ) chmod 0755 scripts/* ;;
14595      src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
14596      scripts/filepp ) chmod 0755 scripts/* ;;
14597    esac

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines